@use "@/styles" as *;

.authorIntroduction {
  border-radius: 8px;
  background-color: #ebebeb;
  width: 100%;
  display: flex;
  flex-direction: row;
  padding: 24px;
  box-sizing: border-box;
  align-items: flex-start;
  justify-content: center;
  gap: 12px;
  text-align: left;
  font-size: 20px;
  color: #1d1d1d;
  font-family: "Inter Tight";
  // @include desktop {
  //   margin-bottom: 48px;
  // }
}
.authorAvatar {
  position: relative;
  border-radius: 1000px;
  width: 64px;
  height: 64px;
}
.authorBody {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 16px;
}
.authorNameAndBrief {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 4px;
}
.authorName {
  align-self: stretch;
  position: relative;
  line-height: 120%;
  font-weight: 600;
}
.authorBrief {
  align-self: stretch;
  position: relative;
  font-size: 14px;
  letter-spacing: 0.05em;
  line-height: 150%;
}
.iconLeft2 {
  align-self: stretch;
  flex: 1;
  position: relative;
  border-radius: 12px;
  max-width: 100%;
  max-height: 100%;
  overflow: hidden;
  filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(262deg)
    brightness(102%) contrast(105%);
}
.iconLeft1 {
  position: relative;
  border-radius: 24px;
  background-color: #143080;
  width: 16px;
  height: 16px;
  display: flex;
  flex-direction: row;
  padding: 2px;
  box-sizing: border-box;
  align-items: flex-start;
  justify-content: flex-start;
}
.button {
  position: relative;
  letter-spacing: 0.05em;
  line-height: 140%;
  font-weight: 600;
  font-size: 12px;
}
.ghost {
  border-radius: 8px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 6px;
  font-size: 12px;
  cursor: pointer;
}
